Bug 109263 - [CI][SHARDS] igt@kms_panel_fitting@atomic-fastset - dmesg-warn - WARN_ON(dev_priv->drrs.dp)
Summary: [CI][SHARDS] igt@kms_panel_fitting@atomic-fastset - dmesg-warn - WARN_ON(dev_...
Status: ASSIGNED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Jose Roberto de Souza
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-09 17:47 UTC by Martin Peres
Modified: 2019-04-06 00:15 UTC (History)
3 users (show)

See Also:
i915 platform: ICL
i915 features: display/DRRS, display/PSR


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-01-09 17:47:23 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5383/shard-iclb4/igt@kms_panel_fitting@atomic-fastset.html

<4> [1248.532530] ------------[ cut here ]------------
<4> [1248.532532] WARN_ON(dev_priv->drrs.dp)
<4> [1248.532580] WARNING: CPU: 0 PID: 5731 at drivers/gpu/drm/i915/intel_psr.c:752 intel_psr_enable+0x13d/0x150 [i915]
<4> [1248.532582] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_intel snd_hda_codec snd_hwdep cdc_ether usbnet snd_hda_core mii snd_pcm e1000e i2c_i801 prime_numbers
<4> [1248.532598] CPU: 0 PID: 5731 Comm: kms_panel_fitti Tainted: G     U            5.0.0-rc1-CI-CI_DRM_5383+ #1
<4> [1248.532600] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP TLC, BIOS ICLSFWR1.R00.2402.AD3.1810170014 10/17/2018
<4> [1248.532638] RIP: 0010:intel_psr_enable+0x13d/0x150 [i915]
<4> [1248.532641] Code: c7 c6 30 5e 2d a0 e8 12 90 40 e1 4c 89 e7 5b 5d 41 5c e9 76 dd 73 e1 48 c7 c6 15 5e 2d a0 48 c7 c7 fb 5b 2d a0 e8 f3 4d e7 e0 <0f> 0b e9 11 ff ff ff 66 90 66 2e 0f 1f 84 00 00 00 00 00 80 be 61
<4> [1248.532643] RSP: 0018:ffffc900005bba68 EFLAGS: 00010282
<4> [1248.532646] RAX: 0000000000000000 RBX: ffff888491a50000 RCX: 0000000000000006
<4> [1248.532648] RDX: 0000000000000006 RSI: ffffffff821304a2 RDI: ffffffff820de577
<4> [1248.532649] RBP: ffff888479ad12a8 R08: 000000000cdf5742 R09: 0000000000000000
<4> [1248.532651] R10: 0000000000000000 R11: 0000000000000000 R12: ffff888479ad0008
<4> [1248.532653] R13: ffff888479ad12a8 R14: ffff888491a50000 R15: ffff8884a842ddd8
<4> [1248.532655] FS:  00007f59acd29980(0000) GS:ffff8884afe00000(0000) knlGS:0000000000000000
<4> [1248.532657] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [1248.532659] CR2: 0000556867fc4788 CR3: 000000049e346002 CR4: 0000000000760ef0
<4> [1248.532661] PKRU: 55555554
<4> [1248.532662] Call Trace:
<4> [1248.532699]  intel_ddi_update_pipe+0x3a/0x50 [i915]
<4> [1248.532736]  intel_update_crtc+0x209/0x340 [i915]
<4> [1248.532772]  skl_update_crtcs+0x266/0x2b0 [i915]
<4> [1248.532809]  intel_atomic_commit_tail+0x1ea/0xdb0 [i915]
<4> [1248.532843]  ? intel_atomic_commit_ready+0x3f/0x50 [i915]
<4> [1248.532868]  ? __i915_sw_fence_complete+0x1a0/0x250 [i915]
<4> [1248.532903]  intel_atomic_commit+0x244/0x330 [i915]
<4> [1248.532909]  drm_mode_atomic_ioctl+0x85d/0x950
<4> [1248.532920]  ? drm_atomic_set_property+0x970/0x970
<4> [1248.532924]  drm_ioctl_kernel+0x81/0xf0
<4> [1248.532929]  drm_ioctl+0x2f3/0x3b0
<4> [1248.532933]  ? drm_atomic_set_property+0x970/0x970
<4> [1248.532940]  ? _raw_spin_unlock_irqrestore+0x39/0x60
<4> [1248.532947]  do_vfs_ioctl+0xa0/0x6e0
<4> [1248.532951]  ? lock_acquire+0xa6/0x1c0
<4> [1248.532955]  ? __task_pid_nr_ns+0xb9/0x1f0
<4> [1248.532960]  ksys_ioctl+0x35/0x60
<4> [1248.532964]  __x64_sys_ioctl+0x11/0x20
<4> [1248.532967]  do_syscall_64+0x55/0x190
<4> [1248.532971]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [1248.532973] RIP: 0033:0x7f59ac5ea5d7
<4> [1248.532975] Code: b3 66 90 48 8b 05 b1 48 2d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 81 48 2d 00 f7 d8 64 89 01 48
<4> [1248.532977] RSP: 002b:00007ffed3db0c08 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
<4> [1248.532980] RAX: ffffffffffffffda RBX: 0000556867f8ae10 RCX: 00007f59ac5ea5d7
<4> [1248.532981] RDX: 00007ffed3db0c60 RSI: 00000000c03864bc RDI: 0000000000000005
<4> [1248.532983] RBP: 00007ffed3db0c60 R08: 0000556867fc0000 R09: 0000000000000052
<4> [1248.532985] R10: 0000000000000002 R11: 0000000000000246 R12: 00000000c03864bc
<4> [1248.532987] R13: 0000000000000005 R14: 0000000000000000 R15: 0000000000000000
<4> [1248.532995] irq event stamp: 88242
<4> [1248.532998] hardirqs last  enabled at (88241): [<ffffffff81123a94>] vprintk_emit+0x124/0x320
<4> [1248.533001] hardirqs last disabled at (88242): [<ffffffff810019b0>] trace_hardirqs_off_thunk+0x1a/0x1c
<4> [1248.533003] softirqs last  enabled at (88150): [<ffffffff81c0033a>] __do_softirq+0x33a/0x4b9
<4> [1248.533007] softirqs last disabled at (88101): [<ffffffff810b5051>] irq_exit+0xd1/0xe0
<4> [1248.533039] WARNING: CPU: 0 PID: 5731 at drivers/gpu/drm/i915/intel_psr.c:752 intel_psr_enable+0x13d/0x150 [i915]
<4> [1248.533041] ---[ end trace 9757fc7965dd09a2 ]---
<7> [1248.533171] [drm:intel_psr_enable [i915]] PSR already in use
<7> [1248.533216] [drm:intel_update_crtc [i915]] PSR enabled. Not enabling DRRS.
Comment 1 CI Bug Log 2019-01-09 17:48:39 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@kms_panel_fitting@atomic-fastset - dmesg-warn - WARN_ON(dev_priv-&gt;drrs.dp)
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5383/shard-iclb4/igt@kms_panel_fitting@atomic-fastset.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_11262/shard-iclb4/igt@kms_panel_fitting@atomic-fastset.html
Comment 2 CI Bug Log 2019-02-06 15:15:51 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_panel_fitting@atomic-fastset - dmesg-warn - WARN_ON(dev_priv-&gt;drrs.dp) -}
{+ ICL: igt@testdisplay / igt@kms_panel_fitting@atomic-fastset - dmesg-warn - WARN_ON(dev_priv-&gt;drrs.dp) +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5544/shard-iclb1/igt@testdisplay.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5545/shard-iclb1/igt@testdisplay.html
Comment 3 CI Bug Log 2019-02-06 15:17:23 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@runner@aborted - fail - Previous test: testdisplay / kms_panel_fitting
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3628/shard-iclb4/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5544/shard-iclb1/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5545/shard-iclb1/igt@runner@aborted.html
Comment 4 Jose Roberto de Souza 2019-02-07 22:26:37 UTC
Will be fixed by https://patchwork.freedesktop.org/series/56369/
Comment 5 CI Bug Log 2019-02-08 09:27:23 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@testdisplay / igt@kms_panel_fitting@atomic-fastset - dmesg-warn - WARN_ON(dev_priv-&gt;drrs.dp) -}
{+ ICL: igt@testdisplay / igt@kms_panel_fitting@atomic-fastset / igt@kms_frontbuffer_tracking@basic - dmesg-warn - WARN_ON(dev_priv-&gt;drrs.dp) +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5558/shard-iclb1/igt@kms_frontbuffer_tracking@basic.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5559/shard-iclb1/igt@kms_frontbuffer_tracking@basic.html
Comment 6 CI Bug Log 2019-02-08 09:27:44 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@runner@aborted - fail - Previous test: testdisplay / kms_panel_fitting -}
{+ ICL: igt@runner@aborted - fail - Previous test: testdisplay / kms_panel_fitting +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5558/shard-iclb1/igt@runner@aborted.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5559/shard-iclb1/igt@runner@aborted.html
Comment 7 CI Bug Log 2019-02-08 09:28:04 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@runner@aborted - fail - Previous test: testdisplay / kms_panel_fitting -}
{+ ICL: igt@runner@aborted - fail - Previous test: testdisplay / kms_panel_fitting / kms_frontbuffer_tracking +}

 No new failures caught with the new filter
Comment 8 James Ausmus 2019-04-05 21:20:04 UTC
Jose - is this fixed now?
Comment 9 Jose Roberto de Souza 2019-04-06 00:15:04 UTC
No reviews in https://patchwork.freedesktop.org/series/56369/, now I probably need to rebase it and resend.

Planning to do it as soon as my PSR series is reviewed and merged because it conflicts with this one: https://patchwork.freedesktop.org/series/58974/


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.